package com.uas.platform.b2b.temporary.model;

import java.io.Serializable;
import java.util.Date;

/**
 * 待审批
 * 
 * @author hejq
 * @time 创建时间：2017年3月17日
 */
public class AuditInfoTodo implements Serializable, Comparable<AuditInfoTodo> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Long jp_id;
	private Long jp_nodeid;
	private String jp_status;
	private String jp_name;
	private String jp_nodename;
	private String typecode;
	private Long jp_nodedealman;
	private Long jp_launcherid;// 发起人编号
	private String jp_launchername;// 发起人姓名
	private Date jp_launchtime;
	private String jp_processnote;
	private Long jp_codevalue;

	public Long getJp_id() {
		return jp_id;
	}

	public void setJp_id(Long jp_id) {
		this.jp_id = jp_id;
	}

	public Long getJp_nodeid() {
		return jp_nodeid;
	}

	public void setJp_nodeid(Long jp_nodeid) {
		this.jp_nodeid = jp_nodeid;
	}

	public String getJp_status() {
		return jp_status;
	}

	public void setJp_status(String jp_status) {
		this.jp_status = jp_status;
	}

	public String getJp_name() {
		return jp_name;
	}

	public void setJp_name(String jp_name) {
		this.jp_name = jp_name;
	}

	public String getJp_nodename() {
		return jp_nodename;
	}

	public void setJp_nodename(String jp_nodename) {
		this.jp_nodename = jp_nodename;
	}

	public String getTypecode() {
		return typecode;
	}

	public void setTypecode(String typecode) {
		this.typecode = typecode;
	}

	public Long getJp_nodedealman() {
		return jp_nodedealman;
	}

	public void setJp_nodedealman(Long jp_nodedealman) {
		this.jp_nodedealman = jp_nodedealman;
	}

	public Long getJp_launcherid() {
		return jp_launcherid;
	}

	public void setJp_launcherid(Long jp_launcherid) {
		this.jp_launcherid = jp_launcherid;
	}

	public String getJp_launchername() {
		return jp_launchername;
	}

	public void setJp_launchername(String jp_launchername) {
		this.jp_launchername = jp_launchername;
	}

	public Date getJp_launchtime() {
		return jp_launchtime;
	}

	public void setJp_launchtime(Date jp_launchtime) {
		this.jp_launchtime = jp_launchtime;
	}

	public String getJp_processnote() {
		return jp_processnote;
	}

	public void setJp_processnote(String jp_processnote) {
		this.jp_processnote = jp_processnote;
	}

	public Long getJp_codevalue() {
		return jp_codevalue;
	}

	public void setJp_codevalue(Long jp_codevalue) {
		this.jp_codevalue = jp_codevalue;
	}

	@Override
	public int compareTo(AuditInfoTodo o) {
		return o.jp_id.compareTo(this.jp_id);
	}

}
